Delete Current Connection
curl --request DELETE \
--url https://api.withterminal.com/tsp/v1/connections/current \
--header 'Authorization: Bearer <token>' \
--header 'Connection-Token: <connection-token>'import requests
url = "https://api.withterminal.com/tsp/v1/connections/current"
headers = {
"Connection-Token": "<connection-token>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'Connection-Token': '<connection-token>', Authorization: 'Bearer <token>'}
};
fetch('https://api.withterminal.com/tsp/v1/connections/current', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"code": "bad_request",
"message": "Invalid request body",
"detail": [
{
"message": "'vehicleId' property must be a valid ulid",
"path": "{requestQuery}.vehicleId",
"suggestion": "Please ensure you submit a valid 'vehicleId' property",
"context": {}
}
]
}{
"code": "unauthorized",
"message": "Unauthorized Request",
"detail": "Please ensure you have a valid API key"
}{
"code": "forbidden",
"message": "Forbidden Request",
"detail": "Please ensure the connection token matches the resource you are attempting to access."
}{
"code": "too_many_requests",
"message": "Too Many Requests",
"retryAfter": 60,
"detail": "You have exceeded your rate limit. Please try again later."
}{
"code": "internal_server_error",
"message": "Internal Server Error",
"detail": "Something went wrong"
}{
"code": "gateway_timeout",
"message": "Gateway Timeout"
}Connections
Delete Current Connection
Request permanent deletion of the current connection and its synced data. This endpoint updates the connection’s status to pending_deletion and returns 202 Accepted. Deletion will begin asynchronously after a grace period.
DELETE
/
connections
/
current
Delete Current Connection
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The token returned when a user authenticated their account. This authorizes access to a specific account.
Pattern:
^con_tkn_\S+$Example:
"con_tkn_22vUhkC6tgre4kwaYfUkCDA1rzn6eyb4"
Response
Accepted
⌘I